Subject: Re: bug#32823: 26.1; nxml-mode: "no matching start-tag" with long entity definition list

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Sep 2018 09:56:04 +0300

> From: Moritz Bunkus <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 Sep 2018 19:51:21 +0200
> 
> > I cannot seem to make it work here whatever I do, sorry.
> 
> Maybe you're doing something slightly different than I am. I've created a
> short screencast showing both nxml-finish-element not working and working
> after the entity definitions have been removed:
> 
> https://www.bunkus.org/misc/nxml-mode-bug-32823-01.webm
> 
> Maybe that'll help.

It did, thanks.  Turns out I was trying "C-c C-f" on the wrong
refentry line (there are too many of them).

Anyway, it sounds like the problem is with using syntax-ppss: its 8th
element is nil in the "good" invocation and non-nil in the "bad" one.
syntax-ppss is invoked on the closing bracket of this line:

  <refentry lang="en">

Maybe the syntax table used by nxml-mode (which it inherits from
sgml-mode) needs some augmentation, I'm not sure.  Hopefully, Stefan
could help.